package com.streambase.contrib.adapters.kxsystems;

/**
 * The QdbcConstants provides useful constant references to
 * QdbcAdapter implementations
 * 
 * @author Darach Ennis (darach.ennis@streambase.com)
 *
 */
public class QdbcConstants {
	private QdbcConstants() {;}
	
	/**
	 * The minimum valid TCP port
	 */
	public static final int MIN_TCP_PORT = 1;
	
	/**
	 * The maximum port in the well known TCP port range
	 */
	public static final int MAX_WELLKNOWN_TCP_PORT = 1024;
	
	/**
	 * The maximum valid TCP port
	 */
	public static final int MAX_TCP_PORT = 65535;
	
	/**
	 * The default QDBC connection port
	 */
	public static final int DEFAULT_QDBC_PORT = 5001;
}
